summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-12-04 00:19:46 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2016-12-04 01:27:35 +0000
commitb90e3f28a243f3c53c49497ae13bee505190a196 (patch)
tree5612d60a8b15af58e25e5cc7614a60bb9586d806
parentAdding irc notification (opt-in). (diff)
downloadcompute-tools-b90e3f28a243f3c53c49497ae13bee505190a196.tar.xz
compute-tools-b90e3f28a243f3c53c49497ae13bee505190a196.zip
Calling container programm in container-shell to trigger notifications too.
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
-rwxr-xr-xbin/container-shell2
-rw-r--r--share/sudo/container-tools2
2 files changed, 2 insertions, 2 deletions
diff --git a/bin/container-shell b/bin/container-shell
index 9b45f72..3a14f7d 100755
--- a/bin/container-shell
+++ b/bin/container-shell
@@ -87,7 +87,7 @@ Shell ()
return
else
echo
- sudo "/usr/lib/${SOFTWARE}/${PROGRAM}/${COMMAND}" "${OPTIONS}" || true
+ sudo ${PROGRAM} ${COMMAND} ${OPTIONS} || true
fi
}
diff --git a/share/sudo/container-tools b/share/sudo/container-tools
index ced273c..cd3f74d 100644
--- a/share/sudo/container-tools
+++ b/share/sudo/container-tools
@@ -1 +1 @@
-container ALL=NOPASSWD: /usr/lib/container-tools/container/*
+container ALL=NOPASSWD: /usr/bin/container